Bug 5667 - koha-conf.xml missing entry for z39.50 publicserver
Summary: koha-conf.xml missing entry for z39.50 publicserver
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Z39.50 / SRU / OpenSearch Servers (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 20:55 UTC by Ian Walls
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
new koha-conf.xml default entries (4.58 KB, patch)
2011-03-30 14:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed-off patch (4.59 KB, patch)
2011-05-03 06:37 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-01-28 20:55:34 UTC
By default, the koha-conf.xml created by make does not include a set of configurations for a public Z39.50 server.  There is a line to uncomment to activate public Z39.50 search, but the BIBLIOGRAPHIC RECORDS <server> tag must be copied and given a new id of 'publicserver' in order for one to be able to search the catalog.

This configuration tag should be included in the default, commented out just like the line to turn on publicserver listening.  A comment should be included with simple instructions.
Comment 1 Tomás Cohen Arazi 2011-03-30 14:44:25 UTC
Created attachment 3530 [details] [review]
new koha-conf.xml default entries

Add new default entries to koha-conf.xml so the public SRU server works if the user uncomments the needed sections.
Comment 2 MJ Ray (software.coop) 2011-04-05 14:18:25 UTC
This bug is mentioned in:
[Bug 5667] Add entries so Z39.50 public	server works http://lists.koha-community.org/pipermail/koha-patches/2011-March/014357.html
Comment 3 Magnus Enger 2011-05-03 06:37:27 UTC
Created attachment 4029 [details] [review]
Signed-off patch

Please note that on a dev-install you need to run through an upgrade, uncomment the relevant parts of koha-conf.xml and restart the zebra daemon for this change to take effect (that is, to turn on Z39.50/SRU).
Comment 4 Ata ur Rehman 2011-05-15 21:14:06 UTC
In which version this bug will be fixed? 3.4.1?
When will it be released?
Comment 5 Chris Cormack 2011-05-15 21:19:17 UTC
It needs to reach passed qa, then it will be tested again and merged to master, and will be either in 3.4.1 if that happens in time or 3.4.2.

All 3.4.x releases happen once a month on the 22nd, barring a security release being needed.
Comment 6 Ian Walls 2011-05-16 15:02:42 UTC
The test plan:

apply patch
run make process
follow instructions to active the publicserver entry
attempt to search the server from another remote host

I'll get this pushed through as soon as I have a few moments (swamped with other work today)
Comment 7 Ian Walls 2011-05-25 12:31:43 UTC
Simple patch to read, marking as Passed QA
Comment 8 Chris Cormack 2011-05-28 06:58:47 UTC
Pushed please test